#pragma once

#include "../../entity.hpp"
#include "../../resources.hpp"

#include <imgui.h>

namespace game::state::play
{
  float info_height_get();
  void info_content_draw(Resources&, Entity&, ImVec2);

  class Info
  {
  public:
    void update(Resources&, Entity&, float fadeAlpha);
  };
}
